const int photocellPin0 = A0;    // The photoresistor pin is connected to the analog pin AO
const int photocellPin1 = A1; 
const int photocellPin2 = A2; 
const int photocellPin3 = A3; 
const int photocellPin4 = A4; 
const int photocellPin5 = A5; 
const int ledPin = 12;           // The LED pin is connected to the digital pin 13

// const int relayPin = 8;       // The relay pin is connected to digital pin 8

const int ld = 730;
int outputValue0 = 0,outputValue1 = 0,outputValue2 = 0,outputValue3 = 0,outputValue4 = 0,outputValue5 = 0;    // Stores the value of the photoresistor pin
 

void setup()
{
  // pinMode(relayPin, OUTPUT);   // Set the relay pin to output mode
  pinMode(ledPin, OUTPUT);        // Set the LED pin to output mode
  Serial.begin(9600);             // Example Initialize the serial port communication with a baud rate of 9600
}
 
void loop()
{
  outputValue0 = analogRead(photocellPin0);    // The value of the photoresistor pin is read and stored in the outputValue variable
  outputValue1 = analogRead(photocellPin1);
  outputValue2 = analogRead(photocellPin2);
  outputValue3 = analogRead(photocellPin3);
  outputValue4 = analogRead(photocellPin4);
  outputValue5 = analogRead(photocellPin5);
  // Serial.println(outputValue);     // Print photoresistor values to the serial port
  
  if (outputValue0 >= ld || outputValue1 >= ld|| outputValue2 >= ld|| outputValue3 >= ld|| outputValue4 >= ld|| outputValue5 >= ld)
  {
    digitalWrite(ledPin, HIGH);       // LED on
    // digitalWrite(relayPin, LOW);   // Relay on
  }
  else
  {
    digitalWrite(ledPin, LOW);        // LED off
    // digitalWrite(relayPin, HIGH);  // Relay off
  }
  delay(1000);    // delay 1s
}
 
 
/*This code obtains the value of the photoresistor by reading the value of the photoresistor pin A0-A5. 
If the value is greater than or equal to 730, the LED pin is lit and the relay pin is switched on; 
Otherwise, turn off the LED pin and disconnect the relay pin. 
Finally, a 1-second delay is achieved by using the delay() function.*/