const int sensorPin = A0;   // The analog pin of the raindrop sensor is connected to A0
const int ledPin = 13;      // The LED pin is connected to the digital pin 13
int sensorValue = 0;        // Store sensor reading
 
void setup()
{
  pinMode(ledPin, OUTPUT);   // Set the LED pin to output mode
  Serial.begin(9600);        // Example Initialize the serial port communication with a baud rate of 9600
}
 
void loop()
{
  sensorValue = analogRead(sensorPin);  // Read the analog value of the sensor
  Serial.print("Sensor Value: ");
  Serial.println(sensorValue);          // Print sensor reading to serial port
  
  if (sensorValue < 500)                // If the sensor reads less than 500 (indicating that water droplets have been detected)
  {
    digitalWrite(ledPin, HIGH);         // LED on
  }
  else                                  // If the sensor reading is greater than or equal to 500 (indicating that no water droplets are detected)
  {
    digitalWrite(ledPin, LOW);          // LED off
  }
 
  delay(100);                           // delay 1s
}
 